--- xchat-2.6.4/src/common/xchat-plugin.h	Wed Mar  2 08:45:54 2005
+++ ./xchat-plugin.h	Sat Jun 17 18:17:05 2006
@@ -186,7 +186,11 @@
 
 void
 xchat_printf (xchat_plugin *ph,
-	      const char *format, ...);
+	      const char *format, ...)
+#ifdef __GNUC__
+__attribute__ ((format(printf,2,3)))
+#endif
+;
 
 void
 xchat_command (xchat_plugin *ph,
@@ -194,7 +198,11 @@
 
 void
 xchat_commandf (xchat_plugin *ph,
-		const char *format, ...);
+		const char *format, ...)
+#ifdef __GNUC__
+__attribute__ ((format(printf,2,3)))
+#endif
+;
 
 int
 xchat_nickcmp (xchat_plugin *ph,
@@ -268,7 +276,11 @@
 
 int 
 xchat_emit_print (xchat_plugin *ph,
-		  const char *event_name, ...);
+		  const char *event_name, ...)
+#ifdef __GNUC__
+__attribute__ ((format(printf,2,3)))
+#endif
+;
 
 char *
 xchat_gettext (xchat_plugin *ph,
